/* Copyright (C) 2011 Andre Noll <maan@tuebingen.mpg.de>, see file COPYING. */

/** \file crypt_backend.h Non-public crypto interface. */

/* This should only be included from files which provide crypto functions. */

/** AES block size in bytes. */
#define AES_CRT128_BLOCK_SIZE 16

int decode_ssh_key(const char *filename, unsigned char **blob,
		size_t *decoded_size);
int check_private_key_file(const char *file);
